Bug 1482540 - [RFE] Allow manifest creation and adjustments within the Satellite webui
Summary: [RFE] Allow manifest creation and adjustments within the Satellite webui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.4.0
Assignee: Andrew Kofink
QA Contact: jcallaha
URL:
Whiteboard:
: 1269233 (view as bug list)
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker CEE_Sat6_Top_BZs, GSS_Sat6_Top_Bugs 1574318
TreeView+ depends on / blocked
 
Reported: 2017-08-17 13:49 UTC by Kathryn Dixon
Modified: 2019-11-05 23:07 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:28:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:30:14 UTC
Red Hat Knowledge Base (Solution) 11025 None None None 2017-08-17 14:11:48 UTC
Foreman Issue Tracker 22595 None None None 2018-03-07 23:28:36 UTC
Red Hat Knowledge Base (Article) 229083 None None None 2017-08-17 14:08:45 UTC
Red Hat Knowledge Base (Article) 477863 None None None 2017-10-03 13:17:03 UTC
Red Hat Bugzilla 1216228 None None None 2019-04-26 02:13:13 UTC
Red Hat Knowledge Base (Solution) 1217793 None None None 2017-08-17 14:07:34 UTC
Red Hat Bugzilla 1246284 None None None 2019-04-26 02:13:13 UTC
Red Hat Bugzilla 1394067 None None None 2019-04-26 02:13:13 UTC

Internal Links: 1216228 1246284 1394067 1562088

Description Kathryn Dixon 2017-08-17 13:49:35 UTC
Description of problem: 

As a Satellite 6 user, I want to manage my Red Hat subscriptions from the Satellite instead of from the customer portal. 

I should have both options (the current way), or without needed to use the customer portal. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. log into the customer portal
2. create a manifest
3. add subscriptions
4. go to the satellite webui
5. upload the satellite manifest

In addition if you need more subscriptions you now must go back to the customer portal and add subscriptions. Then back to the satellite webui to refresh (or use hammer on the command line for refresh). 


Expected results: We need a seamless way to manage subscriptions within Satellite, so you do not have to go back and forth from the customer portal.

Comment 1 Xixi 2017-08-17 20:47:21 UTC
*** Bug 1269233 has been marked as a duplicate of this bug. ***

Comment 2 Xixi 2017-08-17 20:49:41 UTC
Closed out older one from 2015 since it's more sparse with no case/kbases attached: Bug 1269233 - [RFE] ability to add or remove subscriptions to/from manifest from within Satellite 6 web UI

There's also another related Bug 1216228 [RFE] Automate the process of generating manifests in Satellite 6

Comment 4 Roxanne Hoover 2017-10-13 15:26:40 UTC
I wonder if this is something we can sneak in earlier, with a better fix for the 6.4 release?

Comment 5 Brad Buckingham 2018-03-15 11:34:41 UTC
In Satellite 6.4, the user will continue to create their manifest using the customer portal and import/upload in to Satellite.  After that, they may choose to modify the content of their manifest (e.g. add, remove or modify) from within the Satellite UI.

Comment 6 Christian Marineau 2018-03-21 19:39:54 UTC
(In reply to Brad Buckingham from comment #5)
> In Satellite 6.4, the user will continue to create their manifest using the
> customer portal and import/upload in to Satellite.  After that, they may
> choose to modify the content of their manifest (e.g. add, remove or modify)
> from within the Satellite UI.

Does it means there will be no Manifest "Refresh" required after the initial Manifest Import?

If so, will there be a kind of Synchronization between what we see in Satellite vs the Portal?

Thanks!

Comment 7 Andrew Kofink 2018-03-21 19:48:20 UTC
Manifest refresh will only be necessary if users change their subscriptions from access.redhat.com. An automatic manifest refresh is triggered when users modify subscription allocations from within Satellite.

Comment 8 Jitendra Yejare 2018-06-19 10:37:23 UTC
What is the end step here? What is changed/added in 6.4 to verify this bug?

Basically I am looking for steps to verify this bug.

Comment 9 Andrew Kofink 2018-06-19 12:51:54 UTC
This entire API was added as a result of this BZ: https://theforeman.org/plugins/katello/3.7/api/apidoc/v2/upstream_subscriptions.html

Some acceptance criteria can be found on the upstream issues. The one linked is a tracker (http://projects.theforeman.org/issues/22595) to the many others which have more detailed information (only the features have acceptance criteria). For example, http://projects.theforeman.org/issues/22594 covers listing available subscriptions only (the GET endpoint in the API) and includes acceptance criteria.

Comment 10 jcallaha 2018-09-18 18:33:14 UTC
Verified in Satellite 6.4 snap 22.

Satellite has introduced this feature in 6.4. Users can now edit entitlement count, as well as add new subscriptions to their satellite, when linked to the portal.

Additionally, users can also delete subscriptions they no longer want. See documentation for further details.

Comment 12 errata-xmlrpc 2018-10-16 15:28:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.